<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Access to external services</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Access to external services<br/>
<small>
[<a class="el" href="group__public.html">User interface</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga30974f0204d0c1e9cf8b0807a1a1a55e">PHPCAS_SERVICE_OK</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga7de1d5537c1fa74b4a180d94dc165c37">PHPCAS_SERVICE_PT_NO_SERVER_RESPONSE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#gab8fd1de27f50f53dac55bf1287ad0e70">PHPCAS_SERVICE_PT_BAD_SERVER_RESPONSE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga63639adfb3fdbe13a1708e4823380b4d">PHPCAS_SERVICE_PT_FAILURE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga5dfc07f89779d38de5eae55c84a5b8a9">AVAILABLE</a> </td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga4e456e39f1f35df6b3e6b613a698ea1e">phpCAS::serviceWeb</a> ($url, &amp;$err_code, &amp;$output)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#gad04b046c8ce9966b67b165640dcffd81">phpCAS::serviceMail</a> ($url, $flags, &amp;$err_code, &amp;$err_msg, &amp;$pt)</td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga5dfc07f89779d38de5eae55c84a5b8a9"></a><!-- doxytag: member="CAS.php::AVAILABLE" ref="ga5dfc07f89779d38de5eae55c84a5b8a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_services.html#ga5dfc07f89779d38de5eae55c84a5b8a9">AVAILABLE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>phpCAS::service() error code when the service was not available. </p>

</div>
</div>
<a class="anchor" id="ga30974f0204d0c1e9cf8b0807a1a1a55e"></a><!-- doxytag: member="CAS.php::PHPCAS_SERVICE_OK" ref="ga30974f0204d0c1e9cf8b0807a1a1a55e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_services.html#ga30974f0204d0c1e9cf8b0807a1a1a55e">PHPCAS_SERVICE_OK</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>phpCAS::service() error code on success </p>

</div>
</div>
<a class="anchor" id="gab8fd1de27f50f53dac55bf1287ad0e70"></a><!-- doxytag: member="CAS.php::PHPCAS_SERVICE_PT_BAD_SERVER_RESPONSE" ref="gab8fd1de27f50f53dac55bf1287ad0e70" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_services.html#gab8fd1de27f50f53dac55bf1287ad0e70">PHPCAS_SERVICE_PT_BAD_SERVER_RESPONSE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>phpCAS::service() error code when the PT could not retrieve because the response of the CAS server was ill-formed. </p>

</div>
</div>
<a class="anchor" id="ga63639adfb3fdbe13a1708e4823380b4d"></a><!-- doxytag: member="CAS.php::PHPCAS_SERVICE_PT_FAILURE" ref="ga63639adfb3fdbe13a1708e4823380b4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_services.html#ga63639adfb3fdbe13a1708e4823380b4d">PHPCAS_SERVICE_PT_FAILURE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>phpCAS::service() error code when the PT could not retrieve because the CAS server did not want to. </p>

</div>
</div>
<a class="anchor" id="ga7de1d5537c1fa74b4a180d94dc165c37"></a><!-- doxytag: member="CAS.php::PHPCAS_SERVICE_PT_NO_SERVER_RESPONSE" ref="ga7de1d5537c1fa74b4a180d94dc165c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_services.html#ga7de1d5537c1fa74b4a180d94dc165c37">PHPCAS_SERVICE_PT_NO_SERVER_RESPONSE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>phpCAS::service() error code when the PT could not retrieve because the CAS server did not respond. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gad04b046c8ce9966b67b165640dcffd81"></a><!-- doxytag: member="phpCAS::serviceMail" ref="gad04b046c8ce9966b67b165640dcffd81" args="($url, $flags, &amp;$err_code, &amp;$err_msg, &amp;$pt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::serviceMail </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>flags</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>err_code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>err_msg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>pt</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to access an IMAP/POP3/NNTP service.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>a string giving the URL of the service, including the mailing box for IMAP URLs, as accepted by imap_open(). </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$flags</em>&nbsp;</td><td>options given to imap_open(). </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$err_code</em>&nbsp;</td><td>an error code Possible values are PHPCAS_SERVICE_OK (on success), PHPCAS_SERVICE_PT_NO_SERVER_RESPONSE, PHPCAS_SERVICE_PT_BAD_SERVER_RESPONSE, PHPCAS_SERVICE_PT_FAILURE, PHPCAS_SERVICE_NOT AVAILABLE. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$err_msg</em>&nbsp;</td><td>an error message on failure </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$pt</em>&nbsp;</td><td>the Proxy Ticket (PT) retrieved from the CAS server to access the URL on success, FALSE on error).</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>an IMAP stream on success, FALSE otherwise (in this later case, $err_code gives the reason why it failed and $err_msg contains an error message). </dd></dl>

</div>
</div>
<a class="anchor" id="ga4e456e39f1f35df6b3e6b613a698ea1e"></a><!-- doxytag: member="phpCAS::serviceWeb" ref="ga4e456e39f1f35df6b3e6b613a698ea1e" args="($url, &amp;$err_code, &amp;$output)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::serviceWeb </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>err_code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>output</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to access an HTTP[S] service.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>the service to access. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$err_code</em>&nbsp;</td><td>an error code Possible values are PHPCAS_SERVICE_OK (on success), PHPCAS_SERVICE_PT_NO_SERVER_RESPONSE, PHPCAS_SERVICE_PT_BAD_SERVER_RESPONSE, PHPCAS_SERVICE_PT_FAILURE, PHPCAS_SERVICE_NOT AVAILABLE. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$output</em>&nbsp;</td><td>the output of the service (also used to give an error message on failure).</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE on success, FALSE otherwise (in this later case, $err_code gives the reason why it failed and $output contains an error message). </dd></dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:55 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
